Skip to main content
GET
ListArtifactLinks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

artifactId
string
required

Query Parameters

relation
enum<string>
default:ARTIFACT_LINK_RELATION_UNSPECIFIED
  • ARTIFACT_LINK_RELATION_UNSPECIFIED: The link relation is not specified.
  • ARTIFACT_LINK_RELATION_ATTACHED_TO: Placement, where the artifact surfaces.
  • ARTIFACT_LINK_RELATION_SOURCE: Provenance, what the artifact was produced from; immutable.
  • ARTIFACT_LINK_RELATION_DERIVED_FROM: Artifact-to-artifact.
Available options:
ARTIFACT_LINK_RELATION_UNSPECIFIED,
ARTIFACT_LINK_RELATION_ATTACHED_TO,
ARTIFACT_LINK_RELATION_SOURCE,
ARTIFACT_LINK_RELATION_DERIVED_FROM
pageSize
integer<int64>
pageToken
string
artifactVersionId
string

Defaults to the latest version.

Response

A successful response.

nextPageToken
string
read-only